package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.CategoryInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 品类信息Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface CategoryInfoMapper extends BaseMapper<CategoryInfo> {

    /**
     * 删除品类属性中间表
     * @param id
     */
    void asCategoryAttributeDel(@Param("id") Long id);

    /**
     * 品类属性组中间表
     * @param id
     */
    void asCategoryAttributeGroupDel(@Param("id") Long id);

    /**
     * 品类品牌中间表
     * @param id
     */
    void asCategoryBrandDel(@Param("id") Long id);
    /**
     * 判断是否存在下一级
     * @param ids
     * @return
     */
    CategoryInfo QueryBelowOneLevel(@Param("ids") Long ids);

}
